#!/bin/python

"""
ToolAltavistaTranslate.py

David Janes
BlogMatrix
2004.03.27
"""

import sys
import urllib
import Tool

class ToolAltavistaTranslate(Tool.ToolInterface):
	"""
	The interface for your tool. Simply create an instance of this object and Jaeger
	will figure it out.
	"""
	def __init__(self, from_language_name, from_language_code, to_language_name, to_language_code):
		Tool.ToolInterface.__init__(self)
		
		self.from_language_name = from_language_name
		self.from_language_code = from_language_code
		self.to_language_name = to_language_name
		self.to_language_code = to_language_code
		
	def get_group(self):
		return	"Translate (Altavista)"
		
	def get_label(self, selected):
		return	"%s to %s" % ( self.from_language_name, self.to_language_name )
		
	def invoke(self, selected, operations):
		operations.open_url("http://babelfish.altavista.com/babelfish/urltrurl?url=%s&lp=%s_%s&tt=url" % \
			( urllib.quote(selected.url), self.from_language_code, self.to_language_code ))

#
# creating it will register it
#
ToolAltavistaTranslate("English", "en", "German", "de")
ToolAltavistaTranslate("English", "en", "Spanish", "es")
ToolAltavistaTranslate("English", "en", "French", "fr")
ToolAltavistaTranslate("English", "en", "Italian", "it")
ToolAltavistaTranslate("English", "en", "Japanese", "ja")
ToolAltavistaTranslate("English", "en", "Korean", "ko")
ToolAltavistaTranslate("English", "en", "Portuguese", "pt")
ToolAltavistaTranslate("English", "en", "Chinese", "zh")
ToolAltavistaTranslate("Chinese", "zh", "English", "en")
ToolAltavistaTranslate("French", "fr", "English", "en")
ToolAltavistaTranslate("French", "fr", "German", "de")
ToolAltavistaTranslate("German", "de", "English", "en")
ToolAltavistaTranslate("German", "de", "French", "fr")
ToolAltavistaTranslate("Italian", "it", "English", "en")
ToolAltavistaTranslate("Japanese", "ja", "English", "en")
ToolAltavistaTranslate("Korean", "ko", "English", "en")
ToolAltavistaTranslate("Portuguese", "pt", "English", "en")
ToolAltavistaTranslate("Russian", "ru", "English", "en")
ToolAltavistaTranslate("Spanish", "es", "English", "en")
